Description

Last character "-"  makes wrong link

please add link "-" character

for example googledrive use "-"

--

ja---

概要、説明、注記等で、ＵＲＬリンクの最後の文字が　"-"だった場合

リンク扱いとならず、誤ったリンクとなる

グーグルドライブなどは、最終文字が "-" となることがあり、修正してほしいです

画像も参照してください

Associated revisions

Revision 17917 - 2019-03-03 16:18 - Go MAEDA

URLs end with "-" are rendered incorrectly in Textile (#30259).

Patch by Yuichi HARADA.

History

#1 - 2018-12-21 09:57 - Go MAEDA

- Subject changed from Last  character "-"  makes wrong link to URLs end with "-" are rendered incorrectly in Textile

- Description updated

- Category set to Text formatting

- Status changed from New to Confirmed

confirmed the problem. This issue is reproducible in Textile. Markdown is not affected.

Input:

http://example.com/foo-

 Expected output:

<a class="external" href="http://example.com/foo-">http://example.com/foo-</a>

 Actual output:

<a class="external" href="http://example.com/foo">http://example.com/foo</a>-

#2 - 2019-01-08 09:15 - Yuichi HARADA

- File 0001-Remove-unnecessary-trailing-white-spaces.patch added

- File 0002-Interpret-trailing-hyphens-as-URL.patch added
I reviewed the regular expression to interpret the trailing hyphens as URL.

I attached patches.

#3 - 2019-01-10 14:10 - Go MAEDA

- Target version set to Candidate for next minor release

#4 - 2019-01-10 14:36 - Guillermo ML

- File output.trailing.special.characters.png added

Same with ?, &, # and $ characters. These URL:

https://example.org/ticket.form.php?id=333?

https://example.org/ticket.form.php?id=333&

https://example.org/TicketID=455#

https://example.org/TicketID=455$

will be rendered (3.4.4.stable) as:    

 output.trailing.special.characters.png 

For example the second link could be generated by glpi tool and the third one is sometimes generated by otrs tool. I think all four are valid characters

at the end of an URL.

#5 - 2019-02-12 16:32 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.0.2

Setting the target version to 4.0.2.

#6 - 2019-02-20 10:25 - Go MAEDA

- Target version changed from 4.0.2 to 4.1.0

#7 - 2019-03-03 16:19 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you all for reporting and fixing this issue.
